; votemgr will search its home directory for the file called VOTEMGR.CTL
;
; VOTEMGR.CTL structure
;
;      . general options
;      . receipt text files
;      . voting definition block structure
;
;
; Note: paths MUST be terminated with a backslash '\'
;
; Notation:     <...>   one item
;               {...}   one or more items
;               [<...>] optional item
;
;
; ---------------------------------------------------------------------
; general options
; ---------------------------------------------------------------------

; user name and registration key
; USERCODE <1stname_lastname> [<regkey>]
usercode Foxy_Ferguson

; your address
; ADDRESS  z:net/node[.point]
address 1:116/210 

; your net mail directory (-.MSG files)
; NETMAIL  <path>
netmail e:\fd\mail\

; your work directory. this is where votemgr will store results,
; temporary files, as well as semaphore files.
; defaults to the directory where votemgr.exe is stored.
; [WORKPATH <path>]
workpath c:\vote\work\

; your inbound directory. this is where packets with results
; will be created for tossing into your message base for later export.
; [INBOUND  <path>]
inbound e:\fd\file\

; your origin line for votemgr packets
; [ORIGINLINE
; <origin_line>]
originline
# electronic democracy made easy : votemgr #

; default 'moving' directory. messages addressed to votemgr will be
; moved to this directory unless other directory is later specified
; [MOVEPATH <path>]
movepath c:\vote\msg\

; file for logging votemgr activities
; [LOGFILE  <file_spec>]
logfile c:\vote\votemgr.log

; receipt message status
; p-private; k-kill; h-hold; c-crash; s-sent; d-direct
; note that if you don't want votemgr to send messages you must flag
; them as SENT
; [STATUS   {pkhcsd}]
status pk

; if you want to erase processed messages. default is to flag them Rcvd
; note that those messages subject to be moved will -not- be erased
; even if you set killprocessed.
; [KILLPROCESSED]
;killprocessed

; if you want votemgr to always insert ^AINTL kludge line. This feature
; is usefull for those who run systems with akas in different networks
; -and so, different zones...-. The default procedure is to only insert
; ^AINTL kludge line if the destination zone and the zone in your
; address are different.
; [FORCEINTL]
;forceintl

; if you DON'T want votemgr to only scan netmail messages newer than
; votemgr.tim (a file that is created everytime you run votemgr). Default
; is to use votemgr.tim information for faster performance.
; [NOTIM]
;notim


; ---------------------------------------------------------------------
; receipt text files
; ---------------------------------------------------------------------
; these files should contain plain vanilla ASCII texts
;
; NOTE!!! These files are OPTIONAL and you DON'T NEED to use them!!!

; "help" message body
; [HELPTXT <file_spec>]
;helptxt c:\vote\vmgruser.doc

; "active votings" heading
; [ACTIVETXT <file_spec>]
;activetxt c:\vote\active.txt

; "valid choices" heading
; [CHOICESTXT <file_spec>]
choicestxt c:\vote\choices.txt

; "return receipt" text
; [RECEIPTTXT <file_spec>]
receipttxt c:\vote\receipt.txt

; "duplicate vote" text
; [DUPLICATETXT <file_spec>]
duplicatetxt c:\vote\duplic.txt

; "not a valid choice" text
; [ERRCHOICETXT <file_spec>]
;errchoicetxt c:\vote\errchoi.txt

; "not an active voting" text
; [ERRVOTTXT <file_spec>]
;errvottxt c:\vote\errvot.txt

; "not validated for this voting" text
; [ERRVOTTXT <file_spec>]
;errvaltxt c:\vote\errval.txt

; "ballot received too late"
; [TOOLATETXT <file_spec>]
toolatetxt c:\vote\toolate.txt

; "ballot received too soon"
; [TOOSOONTXT <file_spec>]
toosoontxt c:\vote\toosoon.txt

; ---------------------------------------------------------------------
; voting definition block structure
; ---------------------------------------------------------------------
; this block can be repeated as many as 25 times, defining 25 different
; votings

; definition block starter
; electname must be a valid DOS file name (max 8 chars)
; DEFINE <electname>
define MEDIATE

; validate statements allow you to specify who is allowed to vote.
; ALL macro is supported; read documentation for more details on this.
;
; VALIDATE <address [{address}]>
; [{VALIDATE <address [{address}]>}]
;validate 1:116/all.0

; reject statements allow you to specify who is -not- allowed to vote.
; this statement is used to make exceptions to global validations.
; ALL macro is supported.
;
; REJECT <address [{address}]>
; [{REJECT <address [{address}]>}]
;reject 1:116/205 1:116/8000

; area tag of the echomail area for which packets will be created
; [AREA <area_tag>]
area BAD

; first day of ballot processing (ballots received previous to this
; date will be ignored, and addressee will be notified)
; FROMDATE <yyyy.mm.dd>
fromdate 1993.11.10

; last day of ballot processing (ballots received after this date will
; be ignored, and addressee will be notified)
; TODATE <yyyy.mm.dd>
todate 1993.12.10

; directory where ballots (and only ballots) FOR THIS VOTING will be moved to
; [MOVEPATH <path>]
movepath c:\vote\MEDIATE\

; hides names and addresses when reporting results FOR THIS VOTING
; [PRIVATE]
private

; accept NULL ballots (ballots with a vote for an unknown choice)
; anything but listed choices will be considered "null" choices
; otherwise a receipt message is generated and ballot is not computed
; [NULLOK]
;nullok

; accept UNLISTED choices in ballots (ballots with a vote for an unknown choice)
; activate this option if you want to accept unlisted choices
; otherwise a receipt message is generated and ballot is not computed
; [UNLISTEDOK]
;unlistedok

; description of the voting to be displayed when listed
; [INFOTXT <file_spec>]
;infotxt c:\vote\necinfo.txt

; heading for results. this text defaults to INFOTXT
; [RESULTTXT <file_spec>]
;resulttxt c:\vote\necresul.txt

; list of valid choices for the voting. only one choice per line.
; choices MUST not contain spaces ' ' but rather underscores '_'
; up to 100 different choices can be defined
; CHOICES
; ...
; ENDCHOICES
choices
Paul_Bender 
James_Tinsley
Judy_Tinsley
Guy_VanDell   
endchoices

; definition block END marker
; ENDDEF
enddef

; ---------------------------------------------------------------------
